slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDSetOptionsPrefix

Sets the prefix used for searching for all SVD options in the database.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetOptionsPrefix(SVD svd,const char *prefix)

Logically Collective

### Input Parameters

| svd | - the singular value solver context
| prefix | - the prefix string to prepend to all SVD option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

For example, to distinguish between the runtime options for two different SVD contexts, one could call

          SVDSetOptionsPrefix(svd1,"svd1_")
          SVDSetOptionsPrefix(svd2,"svd2_")

### See Also

SVDAppendOptionsPrefix(), SVDGetOptionsPrefix()

### Level

advanced

### Location

src/svd/interface/svdopts.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages